<?php
/*
Plugin Name: Guest Posts
Plugin URI: 
Description: Give an opportunity to your unregistered readers to post on your Blog.
Version: 1.1.1
Author: ericgrld
Author URI: 
Requires at least: 3.0
Tested Up to: 3.5
Stable Tag: 1.1.1
License: GPL v2
*/



function guestposts_shortcode( $atts ) {
    extract ( shortcode_atts (array(
        'cat' => '1',
        'author' => '1',
        'thanks' => get_bloginfo('home'),
    ), $atts ) );

    return '<form class="guests-post" action="'. plugin_dir_url("guest-posts.php") .'guest-posts/guest-posts-submit.php" method="post">
        <strong>' . __('عنوان مطلب:', 'guest-posts') . '</strong><br>
            <input type="text" name="title" size="60" required="required" placeholder="' . __('عنوان را اینجا وارد نمایید', 'guest-posts') . '"><br>
        <strong>' . __('مطلب', 'guest-posts') . '</strong>
        '. wp_nonce_field() .'
            <textarea rows="15" cols="72" required="required" name="story" placeholder="' . __('مطلب را اینجا بنویسید', 'guest-posts') . '"></textarea><br>
        <strong>' . __('برچسب ها', 'guest-posts') . '</strong><br>
            <input type="text" name="tags" size="60" placeholder="' . __('از کاما  ( , ) استفاده کنید', 'guest-posts') . '"><br><br>
        <strong>' . __('نام شما', 'guest-posts') . '</strong><br>
            <input type="text" name="author" size="60" required="required" placeholder="' . __('نام خودتان را اینجا بنویسید', 'guest-posts') . '"><br>
        <strong>' . __('رایانامه شما', 'guest-posts') . '</strong><br>
            <input type="email" name="email" size="60" required="required" placeholder="' . __('رایانامه خود را اینجا بنویسید', 'guest-posts') . '"><br>
        <strong>' . __('وبسایت شما', 'guest-posts') . '</strong><br>
            <input type="text" name="site" size="60" placeholder="' . __('وبسایت شما', 'guest-posts') . '"><br><br><br>
        <input type="hidden" value="'. $cat .'" name="category"><input type="hidden" value="'. $author .'" name="authorid">
        <input type="hidden" value="'. $thanks .'" name="thanks">
        <input type="hidden" value="'. str_replace('/wp-content/themes', '', get_theme_root()) .'/wp-blog-header.php" name="rootpath">
        <input type="submit" value="' . __('ارسال مطلب', 'guest-posts') . '"> <input type="reset" value="' . __('ریست', 'guest-posts') . '"><br>
        </form>
        ';
    }
add_shortcode( 'guest-posts', 'guestposts_shortcode' );

?>
